UpnpEventSubscribe.c File Reference

Source file for UpnpEventSubscribe methods. More...

`#include "config.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "UpnpEventSubscribe.h"`
Include dependency graph for UpnpEventSubscribe.c:

## Data Structures

struct | s_UpnpEventSubscribe

## Functions

UpnpEventSubscribe * | UpnpEventSubscribe_new (void)
void | UpnpEventSubscribe_delete (UpnpEventSubscribe *q)
int | UpnpEventSubscribe_assign (UpnpEventSubscribe *p, const UpnpEventSubscribe *q)
UpnpEventSubscribe * | UpnpEventSubscribe_dup (const UpnpEventSubscribe *q)
int | UpnpEventSubscribe_get_ErrCode (const UpnpEventSubscribe *p)
int | UpnpEventSubscribe_set_ErrCode (UpnpEventSubscribe *p, int n)
int | UpnpEventSubscribe_get_TimeOut (const UpnpEventSubscribe *p)
int | UpnpEventSubscribe_set_TimeOut (UpnpEventSubscribe *p, int n)
const UpnpString * | UpnpEventSubscribe_get_SID (const UpnpEventSubscribe *p)
int | UpnpEventSubscribe_set_SID (UpnpEventSubscribe *p, const UpnpString *s)
size_t | UpnpEventSubscribe_get_SID_Length (const UpnpEventSubscribe *p)
const char * | UpnpEventSubscribe_get_SID_cstr (const UpnpEventSubscribe *p)
int | UpnpEventSubscribe_strcpy_SID (UpnpEventSubscribe *p, const char *s)
int | UpnpEventSubscribe_strncpy_SID (UpnpEventSubscribe *p, const char *s, size_t n)
void | UpnpEventSubscribe_clear_SID (UpnpEventSubscribe *p)
const UpnpString * | UpnpEventSubscribe_get_PublisherUrl (const UpnpEventSubscribe *p)
int | UpnpEventSubscribe_set_PublisherUrl (UpnpEventSubscribe *p, const UpnpString *s)
size_t | UpnpEventSubscribe_get_PublisherUrl_Length (const UpnpEventSubscribe *p)
const char * | UpnpEventSubscribe_get_PublisherUrl_cstr (const UpnpEventSubscribe *p)
int | UpnpEventSubscribe_strcpy_PublisherUrl (UpnpEventSubscribe *p, const char *s)
int | UpnpEventSubscribe_strncpy_PublisherUrl (UpnpEventSubscribe *p, const char *s, size_t n)
void | UpnpEventSubscribe_clear_PublisherUrl (UpnpEventSubscribe *p)

## Detailed Description

Source file for UpnpEventSubscribe methods.

Do not edit this file, it is automatically generated. Please look at generator.c.

Author
  Marcelo Roberto Jimenez

## Function Documentation

## UpnpEventSubscribe_assign()

int UpnpEventSubscribe_assign | ( | UpnpEventSubscribe * | p,
|  | const UpnpEventSubscribe * | q )

Assignment operator

References UpnpEventSubscribe_get_ErrCode(), UpnpEventSubscribe_get_PublisherUrl(), UpnpEventSubscribe_get_SID(), UpnpEventSubscribe_get_TimeOut(), UpnpEventSubscribe_set_ErrCode(), UpnpEventSubscribe_set_PublisherUrl(), UpnpEventSubscribe_set_SID(), and UpnpEventSubscribe_set_TimeOut().

Referenced by UpnpEventSubscribe_dup().

## UpnpEventSubscribe_clear_PublisherUrl()

void UpnpEventSubscribe_clear_PublisherUrl | ( | UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_clear_PublisherUrl

References UpnpString_clear().

## UpnpEventSubscribe_clear_SID()

void UpnpEventSubscribe_clear_SID | ( | UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_clear_SID

References UpnpString_clear().

## UpnpEventSubscribe_delete()

void UpnpEventSubscribe_delete | ( | UpnpEventSubscribe * | p | ) |

Destructor

References UpnpString_delete().

Referenced by free_subscribe_arg(), and UpnpThreadDistribution().

## UpnpEventSubscribe_dup()

UpnpEventSubscribe * UpnpEventSubscribe_dup | ( | const UpnpEventSubscribe * | p | ) |

Copy Constructor

References UpnpEventSubscribe_assign(), and UpnpEventSubscribe_new().

## UpnpEventSubscribe_get_ErrCode()

int UpnpEventSubscribe_get_ErrCode | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_ErrCode

Referenced by SampleUtil_PrintEvent(), and UpnpEventSubscribe_assign().

## UpnpEventSubscribe_get_PublisherUrl()

const UpnpString * UpnpEventSubscribe_get_PublisherUrl | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_PublisherUrl

Referenced by SampleUtil_PrintEvent(), UpnpEventSubscribe_assign(), UpnpEventSubscribe_get_PublisherUrl_cstr(), UpnpEventSubscribe_get_PublisherUrl_Length(), and UpnpThreadDistribution().

## UpnpEventSubscribe_get_PublisherUrl_cstr()

const char * UpnpEventSubscribe_get_PublisherUrl_cstr | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_PublisherUrl_cstr

References UpnpEventSubscribe_get_PublisherUrl(), and UpnpString_get_String().

## UpnpEventSubscribe_get_PublisherUrl_Length()

size_t UpnpEventSubscribe_get_PublisherUrl_Length | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_PublisherUrl_Length

References UpnpEventSubscribe_get_PublisherUrl(), and UpnpString_get_Length().

## UpnpEventSubscribe_get_SID()

const UpnpString * UpnpEventSubscribe_get_SID | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_SID

Referenced by GenaAutoRenewSubscription(), SampleUtil_PrintEvent(), UpnpEventSubscribe_assign(), UpnpEventSubscribe_get_SID_cstr(), UpnpEventSubscribe_get_SID_Length(), and UpnpThreadDistribution().

## UpnpEventSubscribe_get_SID_cstr()

const char * UpnpEventSubscribe_get_SID_cstr | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_SID_cstr

References UpnpEventSubscribe_get_SID(), and UpnpString_get_String().

## UpnpEventSubscribe_get_SID_Length()

size_t UpnpEventSubscribe_get_SID_Length | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_SID_Length

References UpnpEventSubscribe_get_SID(), and UpnpString_get_Length().

## UpnpEventSubscribe_get_TimeOut()

int UpnpEventSubscribe_get_TimeOut | ( | const UpnpEventSubscribe * | p | ) |

UpnpEventSubscribe_get_TimeOut

Referenced by GenaAutoRenewSubscription(), SampleUtil_PrintEvent(), and UpnpEventSubscribe_assign().

## UpnpEventSubscribe_new()

UpnpEventSubscribe * UpnpEventSubscribe_new | ( | void |  | ) |

Constructor

References UpnpString_new().

Referenced by ScheduleGenaAutoRenew(), UpnpEventSubscribe_dup(), and UpnpThreadDistribution().

## UpnpEventSubscribe_set_ErrCode()

int UpnpEventSubscribe_set_ErrCode | ( | UpnpEventSubscribe * | p,
|  | int | n )

UpnpEventSubscribe_set_ErrCode

Referenced by GenaAutoRenewSubscription(), ScheduleGenaAutoRenew(), UpnpEventSubscribe_assign(), and UpnpThreadDistribution().

## UpnpEventSubscribe_set_PublisherUrl()

int UpnpEventSubscribe_set_PublisherUrl | ( | UpnpEventSubscribe * | p,
|  | const UpnpString * | s )

UpnpEventSubscribe_set_PublisherUrl

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by ScheduleGenaAutoRenew(), and UpnpEventSubscribe_assign().

## UpnpEventSubscribe_set_SID()

int UpnpEventSubscribe_set_SID | ( | UpnpEventSubscribe * | p,
|  | const UpnpString * | s )

UpnpEventSubscribe_set_SID

References UpnpString_get_String(), and UpnpString_set_String().

Referenced by ScheduleGenaAutoRenew(), UpnpEventSubscribe_assign(), and UpnpThreadDistribution().

## UpnpEventSubscribe_set_TimeOut()

int UpnpEventSubscribe_set_TimeOut | ( | UpnpEventSubscribe * | p,
|  | int | n )

UpnpEventSubscribe_set_TimeOut

Referenced by GenaAutoRenewSubscription(), ScheduleGenaAutoRenew(), UpnpEventSubscribe_assign(), and UpnpThreadDistribution().

## UpnpEventSubscribe_strcpy_PublisherUrl()

int UpnpEventSubscribe_strcpy_PublisherUrl | ( | UpnpEventSubscribe * | p,
|  | const char * | s )

UpnpEventSubscribe_strcpy_PublisherUrl

References UpnpString_set_String().

Referenced by UpnpThreadDistribution().

## UpnpEventSubscribe_strcpy_SID()

int UpnpEventSubscribe_strcpy_SID | ( | UpnpEventSubscribe * | p,
|  | const char * | s )

UpnpEventSubscribe_strcpy_SID

References UpnpString_set_String().

Referenced by UpnpThreadDistribution().

## UpnpEventSubscribe_strncpy_PublisherUrl()

int UpnpEventSubscribe_strncpy_PublisherUrl | ( | UpnpEventSubscribe * | p,
|  | const char * | s,
|  | size_t | n )

UpnpEventSubscribe_strncpy_PublisherUrl

References UpnpString_set_StringN().

## UpnpEventSubscribe_strncpy_SID()

int UpnpEventSubscribe_strncpy_SID | ( | UpnpEventSubscribe * | p,
|  | const char * | s,
|  | size_t | n )

UpnpEventSubscribe_strncpy_SID

References UpnpString_set_StringN().